[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IVCLComObject.SafeCallException

This method can be invoked if an exception occurs during Invoke

## Declaration

Source position: classesh.inc line 1631

`function IVCLComObject.SafeCallException(`
`ExceptObject: TObject;`
`ExceptAddr: Pointer`
`):HRESULT;`

## Description

SafeCallException is called to handle an exception during invocation of the Invoke method. The TObject implementation of this method returns E_UNEXPECTED.

## See also

IVCLComObject.Invoke |  | The IDispatch:Invoke call for automation servers.

Documentation generated on: Feb 26 2014